fair::mq::ofi::Socket Class Reference

`#include <fairmq/ofi/Socket.h>`

Inheritance diagram for fair::mq::ofi::Socket:
[legend]
Collaboration diagram for fair::mq::ofi::Socket:
[legend]

## Public Member Functions

| Socket (Context &factory, const std::string &type, const std::string &name, const std::string &id="")
| Socket (const Socket &)=delete
Socket | operator= (const Socket &)=delete
auto | GetId () -> std::string
auto | Bind (const std::string &address) -> bool override
auto | Connect (const std::string &address) -> void override
auto | Send (MessagePtr &msg, int timeout=0) -> int override
auto | Receive (MessagePtr &msg, int timeout=0) -> int override
auto | Send (std::vector< MessagePtr > &msgVec, int timeout=0) -> int64_t override
auto | Receive (std::vector< MessagePtr > &msgVec, int timeout=0) -> int64_t override
auto | TrySend (MessagePtr &msg) -> int override
auto | TryReceive (MessagePtr &msg) -> int override
auto | TrySend (std::vector< MessagePtr > &msgVec) -> int64_t override
auto | TryReceive (std::vector< MessagePtr > &msgVec) -> int64_t override
auto | GetSocket () const -> void *override
auto | GetSocket (int nothing) const -> int override
auto | Close () -> void override
auto | SetOption (const std::string &option, const void *value, size_t valueSize) -> void override
auto | GetOption (const std::string &option, void *value, size_t *valueSize) -> void override
auto | GetBytesTx () const -> unsigned long override
auto | GetBytesRx () const -> unsigned long override
auto | GetMessagesTx () const -> unsigned long override
auto | GetMessagesRx () const -> unsigned long override
auto | SetSendTimeout (const int timeout, const std::string &address, const std::string &method) -> bool override
auto | GetSendTimeout () const -> int override
auto | SetReceiveTimeout (const int timeout, const std::string &address, const std::string &method) -> bool override
auto | GetReceiveTimeout () const -> int override
Public Member Functions inherited from FairMQSocket
virtual int64_t | Send (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, int timeout=0)=0
virtual int64_t | Receive (std::vector< std::unique_ptr< FairMQMessage >> &msgVec, int timeout=0)=0
virtual int64_t | TrySend (std::vector< std::unique_ptr< FairMQMessage >> &msgVec)=0
virtual int64_t | TryReceive (std::vector< std::unique_ptr< FairMQMessage >> &msgVec)=0

## Static Public Member Functions

static auto | GetConstant (const std::string &constant) -> int

## Detailed Description

Todo:
  TODO insert long description

The documentation for this class was generated from the following files:

- fairmq/ofi/Socket.h
- fairmq/ofi/Socket.cxx